Bug 8390 - vfs_aixacl2.c needs system/filesys.h
vfs_aixacl2.c needs system/filesys.h
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: VFS Modules
3.6.0
All AIX
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-22 04:57 UTC by SATOH Fumiyasu
Modified: 2011-08-30 19:00 UTC (History)
0 users

See Also:


Attachments
[PATCH] s3: Fix the build of vfs_aixacl2.c (619 bytes, patch)
2011-08-22 04:57 UTC, SATOH Fumiyasu
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description SATOH Fumiyasu 2011-08-22 04:57:58 UTC
Created attachment 6794 [details]
[PATCH] s3: Fix the build of vfs_aixacl2.c

Compiling modules/vfs_aixacl2.c
modules/vfs_aixacl2.c:29: warning: 'struct acl' declared inside parameter list
modules/vfs_aixacl2.c:29: warning: its scope is only this definition or declaration, which is probably not what you want
modules/vfs_aixacl2.c:33: error: expected specifier-qualifier-list before 'nfs4_acl_int_t'
modules/vfs_aixacl2.c:37: error: expected declaration specifiers or '...' before 'acl_type_t'
*** snipped ***
Comment 1 Volker Lendecke 2011-08-25 19:38:14 UTC
Comment on attachment 6794 [details]
[PATCH] s3: Fix the build of vfs_aixacl2.c

Pushed to autobuild. Looks perfectly right to me.
Comment 2 Volker Lendecke 2011-08-25 19:38:34 UTC
Comment on attachment 6794 [details]
[PATCH] s3: Fix the build of vfs_aixacl2.c

Jeremy, another review for 3.6?
Comment 3 Jeremy Allison 2011-08-25 20:38:25 UTC
+1 for 3.6.1.

Re-assigning to Karolin for inclusion.

Jeremy.
Comment 4 Volker Lendecke 2011-08-30 16:35:55 UTC
Comment on attachment 6794 [details]
[PATCH] s3: Fix the build of vfs_aixacl2.c

Acked as a bug comment
Comment 5 Karolin Seeger 2011-08-30 19:00:58 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!